Uses of Class
io.vertx.mutiny.core.http.HttpServerResponse
Packages that use HttpServerResponse
-
Uses of HttpServerResponse in io.vertx.mutiny.core.http
Fields in io.vertx.mutiny.core.http with type parameters of type HttpServerResponseModifier and TypeFieldDescriptionstatic final TypeArg<HttpServerResponse>HttpServerResponse.__TYPE_ARGMethods in io.vertx.mutiny.core.http that return HttpServerResponseModifier and TypeMethodDescriptionHttpServerResponse.addCookie(io.vertx.core.http.Cookie cookie) Add a cookie.HttpServerResponse.bodyEndHandler(Runnable handler) Provides a handler that will be called after the last part of the body is written to the wire.HttpServerResponse.cancelAndForget()Attempt to cancel the request according to the semantics of the underlying HTTP implementation.HttpServerResponse.closeHandler(Runnable handler) Set a close handler for the response, this is called when the underlying connection is closed and the response was still using the connection.HttpServerResponse.drainHandler(Runnable handler) HttpServerResponse.endAndForget()Ends the response.HttpServerResponse.endAndForget(io.vertx.core.buffer.Buffer chunk) Same asend()but writes some data to the response body before ending.HttpServerResponse.endAndForget(String chunk) Same asend(Buffer)but writes a String in UTF-8 encoding before ending the response.HttpServerResponse.endAndForget(String chunk, String enc) Same asend(Buffer)but writes a String with the specified encoding before ending the response.HttpServerResponse.endHandler(Runnable handler) Set an end handler for the response.HttpServerResponse.exceptionHandler(Consumer<Throwable> handler) HttpServerResponse.headersEndHandler(Runnable handler) Provide a handler that will be called just before the headers are written to the wire.static HttpServerResponseHttpServerResponse.newInstance(io.vertx.core.http.HttpServerResponse delegate) Creates a new instance of theHttpServerResponse.HttpServerResponse.pushAndAwait(io.vertx.core.http.HttpMethod method, io.vertx.core.net.HostAndPort authority, String path) Likepush(HttpMethod, HostAndPort, String, MultiMap)with no headers.HttpServerResponse.pushAndAwait(io.vertx.core.http.HttpMethod method, io.vertx.core.net.HostAndPort authority, String path, io.vertx.core.MultiMap headers) Push a response to the client.HttpServerResponse.pushAndAwait(io.vertx.core.http.HttpMethod method, String path) Likepush(HttpMethod, HostAndPort, String, MultiMap)with the host copied from the current request.HttpServerResponse.pushAndAwait(io.vertx.core.http.HttpMethod method, String path, io.vertx.core.MultiMap headers) Likepush(HttpMethod, HostAndPort, String, MultiMap)with the host copied from the current request.HttpServerResponse.pushAndForget(io.vertx.core.http.HttpMethod method, io.vertx.core.net.HostAndPort authority, String path) Likepush(HttpMethod, HostAndPort, String, MultiMap)with no headers.HttpServerResponse.pushAndForget(io.vertx.core.http.HttpMethod method, io.vertx.core.net.HostAndPort authority, String path, io.vertx.core.MultiMap headers) Push a response to the client.HttpServerResponse.pushAndForget(io.vertx.core.http.HttpMethod method, String path) Likepush(HttpMethod, HostAndPort, String, MultiMap)with the host copied from the current request.HttpServerResponse.pushAndForget(io.vertx.core.http.HttpMethod method, String path, io.vertx.core.MultiMap headers) Likepush(HttpMethod, HostAndPort, String, MultiMap)with the host copied from the current request.HttpServerResponse.putHeader(CharSequence name, CharSequence value) LikeputHeader(String, String)but using CharSequenceHttpServerResponse.putHeader(CharSequence name, Iterable<CharSequence> values) LikeputHeader(String, Iterable)but with CharSequence IterableLikeputHeader(String, String)but providing multiple values via a String IterablePut an HTTP headerHttpServerResponse.putTrailer(CharSequence name, CharSequence value) LikeputTrailer(String, String)but using CharSequenceHttpServerResponse.putTrailer(CharSequence name, Iterable<CharSequence> value) LikeputTrailer(String, Iterable)but with CharSequence IterableHttpServerResponse.putTrailer(String name, Iterable<String> values) LikeputTrailer(String, String)but providing multiple values via a String IterableHttpServerResponse.putTrailer(String name, String value) Put an HTTP trailerHttpServerResponse.resetAndForget()Equivalent to callingreset(long)with0.HttpServerResponse.resetAndForget(long code) Reset this response:HttpServerRequest.response()HttpServerResponse.sendAndForget()Send the request with an empty body.HttpServerResponse.sendAndForget(io.vertx.core.buffer.Buffer body) Send the request with a bufferbody.HttpServerResponse.sendAndForget(ReadStream<io.vertx.core.buffer.Buffer> body) Send the request with a streambody.HttpServerResponse.sendAndForget(String body) Send the request with a stringbody.HttpServerResponse.sendAndForget(Flow.Publisher<io.vertx.core.buffer.Buffer> body) Send the request with a streambody.HttpServerResponse.sendFileAndForget(RandomAccessFile file) Same assendFile(FileChannel)withRandomAccessFileHttpServerResponse.sendFileAndForget(RandomAccessFile file, long offset) Same assendFile(FileChannel, long)withRandomAccessFileHttpServerResponse.sendFileAndForget(RandomAccessFile file, long offset, long length) Same assendFile(FileChannel, long, long)withRandomAccessFileHttpServerResponse.sendFileAndForget(String filename) Send the request with a streambody.HttpServerResponse.sendFileAndForget(String filename, long offset) Same assendFile(String, long, long)using length @code{Long.MAX_VALUE} which means until the end of the file.HttpServerResponse.sendFileAndForget(String filename, long offset, long length) Ask the OS to stream a file as specified byfilenamedirectly from disk to the outgoing connection, bypassing userspace altogether (where supported by the underlying operating system.HttpServerResponse.sendFileAndForget(FileChannel channel) Same assendFile(FileChannel, long)using length @code{Long.MAX_VALUE} which means until the end of the file.HttpServerResponse.sendFileAndForget(FileChannel channel, long offset) Same assendFile(FileChannel, long, long)using length @code{Long.MAX_VALUE} which means until the end of the file.HttpServerResponse.sendFileAndForget(FileChannel channel, long offset, long length) Ask the OS to stream a file as specified bychanneldirectly from disk to the outgoing connection, bypassing userspace altogether (where supported by the underlying operating system).HttpServerResponse.setChunked(boolean chunked) Ifchunkedistrue, this response will use HTTP chunked encoding, and each call to write to the body will correspond to a new HTTP chunk sent on the wire.HttpServerResponse.setStatusCode(int statusCode) Set the status code.HttpServerResponse.setStatusMessage(String statusMessage) Set the status messageHttpServerResponse.setStreamPriority(io.vertx.core.http.StreamPriority streamPriority) Sets the priority of the associated streamHttpServerResponse.setWriteQueueMaxSize(int maxSize) HttpServerResponse.writeAltSvcAndForget(String advertisement) Write an <a href="https://datatracker.ietf.org/doc/html/rfc7838"HTTP Alternative Services advertisement for the given request and its authority, according to the underlying protocol.HttpServerResponse.writeAndForget(io.vertx.core.buffer.Buffer arg0) Write some data to the stream.HttpServerResponse.writeAndForget(String chunk) Write aStringto the response body, encoded in UTF-8.HttpServerResponse.writeAndForget(String chunk, String enc) Write aStringto the response body, encoded using the encodingenc.HttpServerResponse.writeContinueAndForget()Used to write an interim 100 Continue response to signify that the client should send the rest of the request.HttpServerResponse.writeCustomFrameAndForget(int type, int flags, io.vertx.core.buffer.Buffer payload) Write an HTTP/2 frame to the response, allowing to extend the HTTP/2 protocol.HttpServerResponse.writeCustomFrameAndForget(io.vertx.core.http.HttpFrame frame) LikewriteCustomFrame(int, int, Buffer)but with anHttpFrame.HttpServerResponse.writeEarlyHintsAndForget(io.vertx.core.MultiMap headers) Used to write an interim 103 Early Hints response to return some HTTP headers before the final HTTP message.HttpServerResponse.writeHeadAndForget()Send the response headers.Methods in io.vertx.mutiny.core.http that return types with arguments of type HttpServerResponseModifier and TypeMethodDescriptionio.smallrye.mutiny.Uni<HttpServerResponse>HttpServerResponse.push(io.vertx.core.http.HttpMethod method, io.vertx.core.net.HostAndPort authority, String path) Likepush(HttpMethod, HostAndPort, String, MultiMap)with no headers.io.smallrye.mutiny.Uni<HttpServerResponse>HttpServerResponse.push(io.vertx.core.http.HttpMethod method, io.vertx.core.net.HostAndPort authority, String path, io.vertx.core.MultiMap headers) Push a response to the client.io.smallrye.mutiny.Uni<HttpServerResponse>Likepush(HttpMethod, HostAndPort, String, MultiMap)with the host copied from the current request.io.smallrye.mutiny.Uni<HttpServerResponse>HttpServerResponse.push(io.vertx.core.http.HttpMethod method, String path, io.vertx.core.MultiMap headers) Likepush(HttpMethod, HostAndPort, String, MultiMap)with the host copied from the current request. -
Uses of HttpServerResponse in io.vertx.mutiny.ext.web
Methods in io.vertx.mutiny.ext.web that return HttpServerResponse